Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IGraphicObject

    java.lang.Object
      igeo.IGraphicObject

All Implemented Interfaces:
  IGraphicI, ISubobject

Direct Known Subclasses:
  IBrepGraphicGL, ICurveGraphicGL, IMeshGraphicGL, IPointGraphic, ISurfaceGraphicFillGL, ISurfaceGraphicGL, ISurfaceGraphicWireframeGL, IVectorGraphic

    public abstract class IGraphicObject

extends java.lang.Object
implements ISubobject, IGraphicI

A subobject of IObject to draw the object on displays.

Field Summary
`java.awt.Color` | `color`
`(package private) static float` | `colorRange1f`
`(package private) static int` | `colorRange1i`
`(package private) static float` | `colorRange2f`
`(package private) static int` | `colorRange2i`
`(package private) static float` | `colorRange3f`
`(package private) static int` | `colorRange3i`
`(package private) static float` | `colorRange4f`
`(package private) static int` | `colorRange4i`
`static float` | `defaultAlpha`
`static float` | `defaultBlue`
`static float` | `defaultGreen`
`static float` | `defaultRed`
`IObject` | `parent`
`static double` | `transparentModeAlpha`
`boolean` | `update`
`boolean` | `visible`

Constructor Summary
`IGraphicObject(IObject p)`

Method Summary
`abstract void` | `draw(IGraphics g)`
`java.awt.Color` | `getColor()`
`static java.awt.Color` | `getColor(java.awt.Color c, int alpha)`
`static java.awt.Color` | `getColor(float fgray)`
`static java.awt.Color` | `getColor(float fgray, float falpha)`
`static java.awt.Color` | `getColor(float fr, float fg, float fb)`
`static java.awt.Color` | `getColor(float fr, float fg, float fb, float fa)`
`static java.awt.Color` | `getColor(int gray)`
`static java.awt.Color` | `getColor(int gray, int alpha)`
`static java.awt.Color` | `getColor(int r, int g, int b)`
`static java.awt.Color` | `getColor(int r, int g, int b, int a)`
`static java.awt.Color` | `getHSBColor(float h, float s, float b)`
`static java.awt.Color` | `getHSBColor(float h, float s, float b, float a)`
`void` | `hide()`
`abstract boolean` | `isDrawable(IGraphicMode mode)`
`boolean` | `isVisible()`
`IObject` | `parent()` getting parent object
`ISubobject` | `parent(IObject parent)` setting parent object
`void` | `setColor(java.awt.Color c)`
`void` | `setColor(java.awt.Color c, int alpha)`
`void` | `setColor(float fgray)`
`void` | `setColor(float fgray, float falpha)`
`void` | `setColor(float fr, float fg, float fb)`
`void` | `setColor(float fr, float fg, float fb, float fa)`
`void` | `setColor(int gray)`
`void` | `setColor(int gray, int alpha)`
`void` | `setColor(int r, int g, int b)`
`void` | `setColor(int r, int g, int b, int a)`
`void` | `setHSBColor(float h, float s, float b)`
`void` | `setHSBColor(float h, float s, float b, float a)`
`void` | `show()`
`void` | `update()` updating graphic when geometry change.
`boolean` | `visible()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultRed

    public static float defaultRed

### defaultGreen

    public static float defaultGreen

### defaultBlue

    public static float defaultBlue

### defaultAlpha

    public static float defaultAlpha

### colorRange1i

    static int colorRange1i

### colorRange2i

    static int colorRange2i

### colorRange3i

    static int colorRange3i

### colorRange4i

    static int colorRange4i

### colorRange1f

    static float colorRange1f

### colorRange2f

    static float colorRange2f

### colorRange3f

    static float colorRange3f

### colorRange4f

    static float colorRange4f

### transparentModeAlpha

    public static double transparentModeAlpha

### color

    public java.awt.Color color

### visible

    public boolean visible

### parent

    public IObject parent

### update

    public boolean update

Constructor Detail

### IGraphicObject

    public IGraphicObject(IObject p)

Method Detail

### parent

    public IObject parent()

  Description copied from interface: `ISubobject`
  getting parent object

  Specified by:
    `parent` in interface `ISubobject`

### parent

    public ISubobject parent(IObject parent)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`

### draw

    public abstract void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`

### isDrawable

    public abstract boolean isDrawable(IGraphicMode mode)

  Specified by:
    `isDrawable` in interface `IGraphicI`

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `IGraphicI`

### visible

    public boolean visible()

### hide

    public void hide()

### show

    public void show()

### update

    public void update()

  updating graphic when geometry change. actual update happens when it's drawn.

### setColor

    public void setColor(java.awt.Color c)

### getColor

    public java.awt.Color getColor()

### setColor

    public void setColor(java.awt.Color c,
                         int alpha)

### setColor

    public void setColor(int gray)

### setColor

    public void setColor(float fgray)

### setColor

    public void setColor(int gray,
                         int alpha)

### setColor

    public void setColor(float fgray,
                         float falpha)

### setColor

    public void setColor(int r,
                         int g,
                         int b)

### setColor

    public void setColor(float fr,
                         float fg,
                         float fb)

### setColor

    public void setColor(int r,
                         int g,
                         int b,
                         int a)

### setColor

    public void setColor(float fr,
                         float fg,
                         float fb,
                         float fa)

### setHSBColor

    public void setHSBColor(float h,
                            float s,
                            float b,
                            float a)

### setHSBColor

    public void setHSBColor(float h,
                            float s,
                            float b)

### getColor

    public static java.awt.Color getColor(java.awt.Color c,
                                          int alpha)

### getColor

    public static java.awt.Color getColor(int gray)

### getColor

    public static java.awt.Color getColor(float fgray)

### getColor

    public static java.awt.Color getColor(int gray,
                                          int alpha)

### getColor

    public static java.awt.Color getColor(float fgray,
                                          float falpha)

### getColor

    public static java.awt.Color getColor(int r,
                                          int g,
                                          int b)

### getColor

    public static java.awt.Color getColor(float fr,
                                          float fg,
                                          float fb)

### getColor

    public static java.awt.Color getColor(int r,
                                          int g,
                                          int b,
                                          int a)

### getColor

    public static java.awt.Color getColor(float fr,
                                          float fg,
                                          float fb,
                                          float fa)

### getHSBColor

    public static java.awt.Color getHSBColor(float h,
                                             float s,
                                             float b,
                                             float a)

  Parameters:
    `h` - hue [0-1]
    `s` - saturation [0-1]
    `b` - brightness [0-1]
    `a` - alpha [0-1]

### getHSBColor

    public static java.awt.Color getHSBColor(float h,
                                             float s,
                                             float b)

  Parameters:
    `h` - hue [0-1]
    `s` - saturation [0-1]
    `b` - brightness [0-1]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD